package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 系统消息对象 sys_message
 * 
 * @author haotian
 * @date 2024-11-04
 */
public class SysMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 消息id */
    private Long messageId;

    /** 消息发送者id */
    @Excel(name = "消息发送者id")
    private Long sendUserId;

    /** 消息接收者id */
    @Excel(name = "消息接收者id")
    private Long receiveUserId;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String messageContent;

    /** 标签 */
    @Excel(name = "标签")
    private String messageType;

    /** 状态 */
    @Excel(name = "状态")
    private String messageStatus;

    /** 删除标志(0代表存在, */
    private String delFlag;

    public void setMessageId(Long messageId) 
    {
        this.messageId = messageId;
    }

    public Long getMessageId() 
    {
        return messageId;
    }
    public void setSendUserId(Long sendUserId) 
    {
        this.sendUserId = sendUserId;
    }

    public Long getSendUserId() 
    {
        return sendUserId;
    }
    public void setReceiveUserId(Long receiveUserId) 
    {
        this.receiveUserId = receiveUserId;
    }

    public Long getReceiveUserId() 
    {
        return receiveUserId;
    }
    public void setMessageContent(String messageContent) 
    {
        this.messageContent = messageContent;
    }

    public String getMessageContent() 
    {
        return messageContent;
    }
    public void setMessageType(String messageType) 
    {
        this.messageType = messageType;
    }

    public String getMessageType() 
    {
        return messageType;
    }
    public void setMessageStatus(String messageStatus) 
    {
        this.messageStatus = messageStatus;
    }

    public String getMessageStatus() 
    {
        return messageStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("messageId", getMessageId())
            .append("sendUserId", getSendUserId())
            .append("receiveUserId", getReceiveUserId())
            .append("messageContent", getMessageContent())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("messageType", getMessageType())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("messageStatus", getMessageStatus())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
